Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-startup-clone-2.exp
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/bundle-order-startup-clone-2.exp
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-startup-clone-2.exp
@@ -545,9 +545,9 @@
   </synapse>
   <synapse id="34">
     <action_set>
-      <rsc_op id="70" operation="monitor" operation_key="galera-bundle-0_monitor_60000" on_node="metal-1" on_node_uuid="1">
+      <rsc_op id="70" operation="monitor" operation_key="galera-bundle-0_monitor_30000" on_node="metal-1" on_node_uuid="1">
         <primitive id="galera-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" addr="metal-1"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="30000" addr="metal-1"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -582,7 +582,7 @@
     <action_set>
       <rsc_op id="35" operation="monitor" operation_key="galera-bundle-0_monitor_0" on_node="metal-3" on_node_uuid="3">
         <primitive id="galera-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-1"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-1"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -595,7 +595,7 @@
     <action_set>
       <rsc_op id="19" operation="monitor" operation_key="galera-bundle-0_monitor_0" on_node="metal-2" on_node_uuid="2">
         <primitive id="galera-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-1"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-1"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -608,7 +608,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="galera-bundle-0_monitor_0" on_node="metal-1" on_node_uuid="1">
         <primitive id="galera-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-1"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-1"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -687,9 +687,9 @@
   </synapse>
   <synapse id="44">
     <action_set>
-      <rsc_op id="74" operation="monitor" operation_key="galera-bundle-1_monitor_60000" on_node="metal-2" on_node_uuid="2">
+      <rsc_op id="74" operation="monitor" operation_key="galera-bundle-1_monitor_30000" on_node="metal-2" on_node_uuid="2">
         <primitive id="galera-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-1" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" addr="metal-2"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-1" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="30000" addr="metal-2"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -724,7 +724,7 @@
     <action_set>
       <rsc_op id="37" operation="monitor" operation_key="galera-bundle-1_monitor_0" on_node="metal-3" on_node_uuid="3">
         <primitive id="galera-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-1" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-2"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-1" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-2"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -737,7 +737,7 @@
     <action_set>
       <rsc_op id="21" operation="monitor" operation_key="galera-bundle-1_monitor_0" on_node="metal-2" on_node_uuid="2">
         <primitive id="galera-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-1" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-2"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-1" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-2"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -750,7 +750,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="galera-bundle-1_monitor_0" on_node="metal-1" on_node_uuid="1">
         <primitive id="galera-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-1" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-2"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-1" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-2"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -829,9 +829,9 @@
   </synapse>
   <synapse id="54">
     <action_set>
-      <rsc_op id="78" operation="monitor" operation_key="galera-bundle-2_monitor_60000" on_node="metal-3" on_node_uuid="3">
+      <rsc_op id="78" operation="monitor" operation_key="galera-bundle-2_monitor_30000" on_node="metal-3" on_node_uuid="3">
         <primitive id="galera-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-2" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" addr="metal-3"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-2" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="30000" addr="metal-3"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -866,7 +866,7 @@
     <action_set>
       <rsc_op id="39" operation="monitor" operation_key="galera-bundle-2_monitor_0" on_node="metal-3" on_node_uuid="3">
         <primitive id="galera-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-2" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-3"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-2" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-3"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -879,7 +879,7 @@
     <action_set>
       <rsc_op id="23" operation="monitor" operation_key="galera-bundle-2_monitor_0" on_node="metal-2" on_node_uuid="2">
         <primitive id="galera-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-2" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-3"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-2" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-3"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -892,7 +892,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="galera-bundle-2_monitor_0" on_node="metal-1" on_node_uuid="1">
         <primitive id="galera-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-2" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-3"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-2" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-3"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -1726,9 +1726,9 @@
   </synapse>
   <synapse id="109">
     <action_set>
-      <rsc_op id="117" operation="monitor" operation_key="redis-bundle-0_monitor_60000" on_node="metal-1" on_node_uuid="1">
+      <rsc_op id="117" operation="monitor" operation_key="redis-bundle-0_monitor_30000" on_node="metal-1" on_node_uuid="1">
         <primitive id="redis-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" addr="metal-1"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="30000" addr="metal-1"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -1763,7 +1763,7 @@
     <action_set>
       <rsc_op id="44" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="metal-3" on_node_uuid="3">
         <primitive id="redis-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-1"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-1"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -1776,7 +1776,7 @@
     <action_set>
       <rsc_op id="28" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="metal-2" on_node_uuid="2">
         <primitive id="redis-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-1"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-1"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -1789,7 +1789,7 @@
     <action_set>
       <rsc_op id="12" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="metal-1" on_node_uuid="1">
         <primitive id="redis-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-1"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-1"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -1868,9 +1868,9 @@
   </synapse>
   <synapse id="119">
     <action_set>
-      <rsc_op id="121" operation="monitor" operation_key="redis-bundle-1_monitor_60000" on_node="metal-2" on_node_uuid="2">
+      <rsc_op id="121" operation="monitor" operation_key="redis-bundle-1_monitor_30000" on_node="metal-2" on_node_uuid="2">
         <primitive id="redis-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-1" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" addr="metal-2"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-1" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="30000" addr="metal-2"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -1905,7 +1905,7 @@
     <action_set>
       <rsc_op id="46" operation="monitor" operation_key="redis-bundle-1_monitor_0" on_node="metal-3" on_node_uuid="3">
         <primitive id="redis-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-1" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-2"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-1" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-2"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -1918,7 +1918,7 @@
     <action_set>
       <rsc_op id="30" operation="monitor" operation_key="redis-bundle-1_monitor_0" on_node="metal-2" on_node_uuid="2">
         <primitive id="redis-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-1" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-2"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-1" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-2"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -1931,7 +1931,7 @@
     <action_set>
       <rsc_op id="14" operation="monitor" operation_key="redis-bundle-1_monitor_0" on_node="metal-1" on_node_uuid="1">
         <primitive id="redis-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-1" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-2"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-1" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-2"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -2010,9 +2010,9 @@
   </synapse>
   <synapse id="129">
     <action_set>
-      <rsc_op id="125" operation="monitor" operation_key="redis-bundle-2_monitor_60000" on_node="metal-3" on_node_uuid="3">
+      <rsc_op id="125" operation="monitor" operation_key="redis-bundle-2_monitor_30000" on_node="metal-3" on_node_uuid="3">
         <primitive id="redis-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-2" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" addr="metal-3"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-2" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="30000" addr="metal-3"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -2047,7 +2047,7 @@
     <action_set>
       <rsc_op id="48" operation="monitor" operation_key="redis-bundle-2_monitor_0" on_node="metal-3" on_node_uuid="3">
         <primitive id="redis-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-2" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-3"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-2" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-3"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -2060,7 +2060,7 @@
     <action_set>
       <rsc_op id="32" operation="monitor" operation_key="redis-bundle-2_monitor_0" on_node="metal-2" on_node_uuid="2">
         <primitive id="redis-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-2" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-3"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-2" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-3"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -2073,7 +2073,7 @@
     <action_set>
       <rsc_op id="16" operation="monitor" operation_key="redis-bundle-2_monitor_0" on_node="metal-1" on_node_uuid="1">
         <primitive id="redis-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-2" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-3"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-2" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-3"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-startup-clone-2.summary
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/bundle-order-startup-clone-2.summary
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-startup-clone-2.summary
@@ -111,9 +111,9 @@ Executing cluster transition:
  * Resource action: redis:1         start on redis-bundle-1
  * Resource action: redis:2         start on redis-bundle-2
  * Pseudo action:   redis-bundle-master_running_0
- * Resource action: redis-bundle-0  monitor=60000 on metal-1
- * Resource action: redis-bundle-1  monitor=60000 on metal-2
- * Resource action: redis-bundle-2  monitor=60000 on metal-3
+ * Resource action: redis-bundle-0  monitor=30000 on metal-1
+ * Resource action: redis-bundle-1  monitor=30000 on metal-2
+ * Resource action: redis-bundle-2  monitor=30000 on metal-3
  * Pseudo action:   redis-bundle-master_post_notify_running_0
  * Resource action: redis:0         notify on redis-bundle-0
  * Resource action: redis:1         notify on redis-bundle-1
@@ -177,9 +177,9 @@ Executing cluster transition:
  * Resource action: galera:1        start on galera-bundle-1
  * Resource action: galera:2        start on galera-bundle-2
  * Pseudo action:   galera-bundle-master_running_0
- * Resource action: galera-bundle-0 monitor=60000 on metal-1
- * Resource action: galera-bundle-1 monitor=60000 on metal-2
- * Resource action: galera-bundle-2 monitor=60000 on metal-3
+ * Resource action: galera-bundle-0 monitor=30000 on metal-1
+ * Resource action: galera-bundle-1 monitor=30000 on metal-2
+ * Resource action: galera-bundle-2 monitor=30000 on metal-3
  * Pseudo action:   galera-bundle_running_0
  * Resource action: galera:0        monitor=30000 on galera-bundle-0
  * Resource action: galera:0        monitor=20000 on galera-bundle-0
Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-startup-clone.dot
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/bundle-order-startup-clone.dot
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-startup-clone.dot
@@ -5,8 +5,8 @@ digraph "g" {
 "galera-bundle-0_monitor_0 metal-2" [ style=dashed color="red" fontcolor="black"]
 "galera-bundle-0_monitor_0 metal-3" -> "galera-bundle-0_start_0 metal-1" [ style = dashed]
 "galera-bundle-0_monitor_0 metal-3" [ style=dashed color="red" fontcolor="black"]
-"galera-bundle-0_monitor_60000 metal-1" [ style=dashed color="red" fontcolor="black"]
-"galera-bundle-0_start_0 metal-1" -> "galera-bundle-0_monitor_60000 metal-1" [ style = dashed]
+"galera-bundle-0_monitor_30000 metal-1" [ style=dashed color="red" fontcolor="black"]
+"galera-bundle-0_start_0 metal-1" -> "galera-bundle-0_monitor_30000 metal-1" [ style = dashed]
 "galera-bundle-0_start_0 metal-1" -> "galera:0_monitor_20000 galera-bundle-0" [ style = dashed]
 "galera-bundle-0_start_0 metal-1" -> "galera:0_monitor_30000 galera-bundle-0" [ style = dashed]
 "galera-bundle-0_start_0 metal-1" -> "galera:0_start_0 galera-bundle-0" [ style = dashed]
@@ -64,8 +64,8 @@ digraph "g" {
 "redis-bundle-0_monitor_0 metal-2" [ style=bold color="green" fontcolor="black"]
 "redis-bundle-0_monitor_0 metal-3" -> "redis-bundle-0_start_0 metal-2" [ style = bold]
 "redis-bundle-0_monitor_0 metal-3" [ style=bold color="green" fontcolor="black"]
-"redis-bundle-0_monitor_60000 metal-2" [ style=bold color="green" fontcolor="black"]
-"redis-bundle-0_start_0 metal-2" -> "redis-bundle-0_monitor_60000 metal-2" [ style = bold]
+"redis-bundle-0_monitor_30000 metal-2" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-0_start_0 metal-2" -> "redis-bundle-0_monitor_30000 metal-2" [ style = bold]
 "redis-bundle-0_start_0 metal-2" -> "redis:0_monitor_45000 redis-bundle-0" [ style = bold]
 "redis-bundle-0_start_0 metal-2" -> "redis:0_monitor_60000 redis-bundle-0" [ style = bold]
 "redis-bundle-0_start_0 metal-2" -> "redis:0_start_0 redis-bundle-0" [ style = bold]
Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-startup-clone.exp
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/bundle-order-startup-clone.exp
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-startup-clone.exp
@@ -338,9 +338,9 @@
   </synapse>
   <synapse id="26">
     <action_set>
-      <rsc_op id="69" operation="monitor" operation_key="redis-bundle-0_monitor_60000" on_node="metal-2" on_node_uuid="2">
+      <rsc_op id="69" operation="monitor" operation_key="redis-bundle-0_monitor_30000" on_node="metal-2" on_node_uuid="2">
         <primitive id="redis-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" addr="metal-2"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="30000" addr="metal-2"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -375,7 +375,7 @@
     <action_set>
       <rsc_op id="18" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="metal-3" on_node_uuid="3">
         <primitive id="redis-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-2"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="metal-3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-2"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -388,7 +388,7 @@
     <action_set>
       <rsc_op id="12" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="metal-2" on_node_uuid="2">
         <primitive id="redis-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-2"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="metal-2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-2"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -401,7 +401,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="metal-1" on_node_uuid="1">
         <primitive id="redis-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" addr="metal-2"  port="3124"/>
+        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_on_node="metal-1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" addr="metal-2"  port="3124"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-startup-clone.summary
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/bundle-order-startup-clone.summary
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-startup-clone.summary
@@ -53,7 +53,7 @@ Executing cluster transition:
  * Resource action: redis-bundle-0  start on metal-2
  * Resource action: redis:0         start on redis-bundle-0
  * Pseudo action:   redis-bundle-master_running_0
- * Resource action: redis-bundle-0  monitor=60000 on metal-2
+ * Resource action: redis-bundle-0  monitor=30000 on metal-2
  * Pseudo action:   redis-bundle-master_post_notify_running_0
  * Resource action: redis:0         notify on redis-bundle-0
  * Pseudo action:   redis-bundle-master_confirmed-post_notify_running_0
Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-startup.dot
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/bundle-order-startup.dot
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/bundle-order-startup.dot
@@ -1,8 +1,8 @@
 digraph "g" {
 "galera-bundle-0_monitor_0 undercloud" -> "galera-bundle-0_start_0 undercloud" [ style = bold]
 "galera-bundle-0_monitor_0 undercloud" [ style=bold color="green" fontcolor="black"]
-"galera-bundle-0_monitor_60000 undercloud" [ style=bold color="green" fontcolor="black"]
-"galera-bundle-0_start_0 undercloud" -> "galera-bundle-0_monitor_60000 undercloud" [ style = bold]
+"galera-bundle-0_monitor_30000 undercloud" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-0_start_0 undercloud" -> "galera-bundle-0_monitor_30000 undercloud" [ style = bold]
 "galera-bundle-0_start_0 undercloud" -> "galera:0_monitor_20000 galera-bundle-0" [ style = bold]
 "galera-bundle-0_start_0 undercloud" -> "galera:0_monitor_30000 galera-bundle-0" [ style = bold]
 "galera-bundle-0_start_0 undercloud" -> "galera:0_start_0 galera-bundle-0" [ style = bold]
@@ -89,8 +89,8 @@ digraph "g" {
 "openstack-cinder-volume_start_0" [ style=bold color="green" fontcolor="orange"]
 "rabbitmq-bundle-0_monitor_0 undercloud" -> "rabbitmq-bundle-0_start_0 undercloud" [ style = bold]
 "rabbitmq-bundle-0_monitor_0 undercloud" [ style=bold color="green" fontcolor="black"]
-"rabbitmq-bundle-0_monitor_60000 undercloud" [ style=bold color="green" fontcolor="black"]
-"rabbitmq-bundle-0_start_0 undercloud" -> "rabbitmq-bundle-0_monitor_60000 undercloud" [ style = bold]
+"rabbitmq-bundle-0_monitor_30000 undercloud" [ style=bold color="green" fontcolor="black"]
+"rabbitmq-bundle-0_start_0 undercloud" -> "rabbitmq-bundle-0_monitor_30000 undercloud" [ style = bold]
 "rabbitmq-bundle-0_start_0 undercloud" -> "rabbitmq:0_monitor_10000 rabbitmq-bundle-0" [ style = bold]
 "rabbitmq-bundle-0_start_0 undercloud" -> "rabbitmq:0_start_0 rabbitmq-bundle-0" [ style = bold]
 "rabbitmq-bundle-0_start_0 undercloud" [ style=bold color="green" fontcolor="black"]
@@ -132,8 +132,8 @@ digraph "g" {
 "rabbitmq:0_start_0 rabbitmq-bundle-0" [ style=bold color="green" fontcolor="black"]
 "redis-bundle-0_monitor_0 undercloud" -> "redis-bundle-0_start_0 undercloud" [ style = bold]
 "redis-bundle-0_monitor_0 undercloud" [ style=bold color="green" fontcolor="black"]
-"redis-bundle-0_monitor_60000 undercloud" [ style=bold color="green" fontcolor="black"]
-"redis-bundle-0_start_0 undercloud" -> "redis-bundle-0_monitor_60000 undercloud" [ style = bold]
+"redis-bundle-0_monitor_30000 undercloud" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-0_start_0 undercloud" -> "redis-bundle-0_monitor_30000 undercloud" [ style = bold]
 "redis-bundle-0_start_0 undercloud" -> "redis:0_monitor_45000 redis-bundle-0" [ style = bold]
 "redis-bundle-0_start_0 undercloud" -> "redis:0_monitor_60000 redis-bundle-0" [ style = bold]
 "redis-bundle-0_start_0 undercloud" -> "redis:0_start_0 redis-bundle-0" [ style = bold]
